# cross-platform script to open a Pd-extended instance
# Katja Vetter, Fred Jan Kraan, April 2011


# change working directory to location of this script so we can use relative path names:

set workingdir [file dirname [info script]]
cd $workingdir


# find operating system and executable path, assuming regular location

if { $tcl_platform(os) == "Linux" } {
	puts "this operating system = Linux"
	set pdpath [exec which pdextended]
} elseif { $tcl_platform(os) == "Darwin" } {
	puts "this operating system = OSX"
	set pdpath [glob /Applications/Pd-extended*.app/Contents/Resources/bin/pd]
} elseif { $tcl_platform(platform) == "windows" } {
	puts "this operating system = Windows"
	set pdpath [exec which pd.exe]
}



# in case of more than one Pd-extended executables found, use the first one:

set pdpath [lindex $pdpath 0]

# start Pd-extended with optional arguments:

eval exec $pdpath $argv &




